Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.netscape
Class NetscapeSystemAccess

    java.lang.Object
      |
      +--opencard.core.util.SystemAccess
            |
            +--opencard.opt.netscape.NetscapeSystemAccess

public class NetscapeSystemAccess
extends opencard.core.util.SystemAccess

Singleton that provides access to protected system resources like file I/O, properties, native code under Netscape browsers. Thread safe: each thread can only access its own SystemAccess class.
To run OpenCard under a Microsoft browser install the browser specific SystemAccess class in the applets init() method as follows:
opencard.core.util.SystemAccess sys = opencard.opt.netscape.NetscapeSystemAccess(); opencard.core.util.SystemAccess.setSystemAccess(sys);

See Also:
  `SystemAccess`, `MicrosoftSystemAccess`

Constructor Summary
`NetscapeSystemAccess()` make sure all privileges are present even in ctor to avoid further dialogs during execution

Method Summary
`boolean` | `getBoolean(java.lang.String key)` Access system properties
`java.util.Properties` | `getProperties()` Access system properties
`java.lang.String` | `getProperty(java.lang.String key)` Access system properties
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String def)` Access system properties
`void` | `loadLibrary(java.lang.String libName)` Link to a native DLL.
`java.util.Properties` | `loadProperties(java.lang.String filename)` Access system properties

Methods inherited from class opencard.core.util.SystemAccess
`getSystemAccess, setSystemAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetscapeSystemAccess

    public NetscapeSystemAccess()

  make sure all privileges are present even in ctor to avoid further dialogs during execution

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.String key)

  Access system properties
  Overrides:
    getBoolean in class opencard.core.util.SystemAccess

### getProperties

    public java.util.Properties getProperties()

  Access system properties
  Overrides:
    getProperties in class opencard.core.util.SystemAccess

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Access system properties
  Overrides:
    getProperty in class opencard.core.util.SystemAccess

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String def)

  Access system properties
  Overrides:
    getProperty in class opencard.core.util.SystemAccess

### loadLibrary

    public void loadLibrary(java.lang.String libName)

  Link to a native DLL.
  Overrides:
    loadLibrary in class opencard.core.util.SystemAccess

### loadProperties

    public java.util.Properties loadProperties(java.lang.String filename)
                                        throws java.io.FileNotFoundException,
                                               java.io.IOException

  Access system properties
  Overrides:
    loadProperties in class opencard.core.util.SystemAccess

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD